[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TMaskCaseSensitivity

Represents case sensitivity options for file masks.

## Declaration

Source position: shellctrls.pas line 46

`type TMaskCaseSensitivity = (`
`mcsPlatformDefault,` |  | File masks used the default for the platform or OS.
`mcsCaseInsensitive,` |  | File masks are case insensitive.
`mcsCaseSensitive` |  | File masks are case sensitive.
`);`

## Description

TMaskCaseSensitivity is an enumeration type with values that represent case sensitivity options for the platform or OS where shell controls are implemented. TMaskCaseSensitivity is the type used for the MaskCaseSensitivity property in TCustomShellListView. It is also passed as an argument to methods in TCustomShellTreeView.

## See also

TCustomShellListView.MaskCaseSensitivity |  | Case Sensitivity option enabled for file masks in the shell control.